<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">
    <title>ngx_cache_purge 缓存更新</title>
</head>
<body>
<?php

header("Power-By: www.rootop.org");
error_reporting(0);

// 刷新URL
if ($_POST)
{
    set_time_limit(0);

    echo '<div style="padding:10px 5%; line-height:30px; font-size:14px;">';

    @apache_setenv('no-gzip', 1);
    @ini_set('zlib.output_compression', 0);
    @ini_set('implicit_flush', 1);
    ob_implicit_flush(0);
    ob_start();

    $urls = trim($_POST['urls']);
    if($urls)
    {
        $urls = explode("\n", $urls);

        $opts = array(
            'http'=>array(
                'method'  => "GET",
                'timeout' => 2,
            )
        );
        $context = stream_context_create($opts);

        foreach ($urls as $url)
        {
            $u = parse_url(trim($url));
            $new = "{$u['scheme']}://{$u['host']}/purge{$u['path']}";

            $r = file_get_contents($new, false, $context);

            if ($r)
            {
                echo "<a href='{$new}' target='_blank'>{$new}</a> -- <b style='color:green'>success</b><br />\n\n";
            }
            else
            {
                echo "<a href='{$new}' target='_blank'>{$new}</a> -- <b style='color:orange'>waiting</b><br />\n\n";
            }

            ob_flush();
            flush();
        }

        echo '<h4>Complete，<a href="javascript:history.go(-1);">Back</a></h4>';
    }
    else
    {
        echo '<h4>请输入URL，<a href="javascript:history.go(-1);">Back</a></h4>';
    }

    echo '</div>';
}
else
{
?>
<form action="" method="POST" style="padding:10px 5%; line-height:30px;">

    <b style="font-size:12px">输入一组URL(一个一行):</b><br />
    <textarea name="urls" style="width:90%; height:300px; border-radius:10px; border:#CCC solid 1px; padding:10px;"></textarea>
    <br />
    <input type="submit" value="执行" />
</form>

<?php
}
?>
</body>
</html>
